{"openapi":"3.0.4","info":{"title":"Upload a Docker Image used for Scheduler jobs","description":"Every image must have at least one tag. Note: your image will not be available until the returned Docker commands are executed.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/scheduler2"}],"paths":{"/api/images":{"post":{"tags":["Images"],"summary":"Upload a Docker Image used for Scheduler jobs","description":"Every image must have at least one tag. Note: your image will not be available until the returned Docker commands are executed.","operationId":"UploadImage","requestBody":{"description":"Request to upload image","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UploadImageRequest"},"example":{"imageName":"example-image-name:0.0.1"}},"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UploadImageRequest"},"example":{"imageName":"example-image-name:0.0.1"}},"text/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UploadImageRequest"},"example":{"imageName":"example-image-name:0.0.1"}},"application/*+json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UploadImageRequest"},"example":{"imageName":"example-image-name:0.0.1"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/UploadImageInstructions"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}